com.sun.grid.jgdi.monitoring

## Class ClusterQueueSummaryOptions

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.BasicQueueOptions
  - - com.sun.grid.jgdi.monitoring.ClusterQueueSummaryOptions

- All Implemented Interfaces:
    java.io.Serializable

      public class ClusterQueueSummaryOptions
      extends BasicQueueOptions
      implements java.io.Serializable

  Options for the `JGDIBase.getClusterQueueSummary(com.sun.grid.jgdi.monitoring.ClusterQueueSummaryOptions)` method.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterQueueSummaryOptions()` Creates a new instance of ClusterQueueSummaryOptions

  - ### Method Summary

    - ### Methods inherited from class com.sun.grid.jgdi.monitoring.BasicQueueOptions

      `getQueueFilter, getQueueStateFilter, getQueueUserFilter, getResourceFilter, setQueueFilter, setQueueStateFilter, setQueueUserFilter, setResourceFilter, setShowAdditionalAttributes, showAdditionalAttributes, updateQueueFilter, updateQueueStateFilter, updateQueueUserFilter, updateResourceFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterQueueSummaryOptions

          public ClusterQueueSummaryOptions()

      Creates a new instance of ClusterQueueSummaryOptions

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.